<?xml version="1.0"?>

<!DOCTYPE ejb-jar PUBLIC "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" "http://java.sun.com/dtd/ejb-jar_2_0.dtd">
<ejb-jar>
    <enterprise-beans>
    
      <entity>
    <display-name>m05SolicitudReserva_Usuario</display-name>
	<ejb-name>m05SolicitudReserva_Usuario</ejb-name>
	<home>m05bSolicitudReserva_UsuarioEJB.m05SolicitudReserva_UsuarioHome</home>
	<remote>m05bSolicitudReserva_UsuarioEJB.m05SolicitudReserva_Usuario</remote>
	<ejb-class>m05bSolicitudReserva_UsuarioEJB.m05SolicitudReserva_UsuarioBean</ejb-class>
	<persistence-type>Container</persistence-type>
	<prim-key-class>m05bSolicitudReserva_UsuarioEJB.m05SolicitudReserva_UsuarioPK</prim-key-class>
	<reentrant>False</reentrant>
	<abstract-schema-name>m05SolicitudReserva_Usuario</abstract-schema-name>
	<cmp-field><field-name>idSolicitud</field-name></cmp-field>
	<cmp-field><field-name>codSolicitante</field-name></cmp-field>
	<cmp-field><field-name>dni</field-name></cmp-field>
	<cmp-field><field-name>nombre_apellidos</field-name></cmp-field>
	<cmp-field><field-name>telefono</field-name></cmp-field>
	<cmp-field><field-name>telefonoMovil</field-name></cmp-field>
	<cmp-field><field-name>domicilio</field-name></cmp-field>
	<cmp-field><field-name>codProvincia</field-name></cmp-field>
	<cmp-field><field-name>codMunicipio</field-name></cmp-field>
	<cmp-field><field-name>codPostal</field-name></cmp-field>
	<cmp-field><field-name>puesto</field-name></cmp-field>
	<cmp-field><field-name>codDepartamento</field-name></cmp-field>
	<cmp-field><field-name>desccDepartamento</field-name></cmp-field>
	<cmp-field><field-name>desceDepartamento</field-name></cmp-field>
	<cmp-field><field-name>codDireccion</field-name></cmp-field>
	<cmp-field><field-name>desccDireccion</field-name></cmp-field>
	<cmp-field><field-name>desceDireccion</field-name></cmp-field>

	<query>
    	<query-method>
        	<method-name>findByIdSolicitud</method-name>
           	<method-params>
               	<method-param>java.lang.Integer</method-param>
           	</method-params>
		</query-method>
       	<ejb-ql>
			SELECT OBJECT(u) FROM m05SolicitudReserva_Usuario u
            WHERE u.idSolicitud = ?1
		</ejb-ql>
    </query>

	  </entity>
	  
    </enterprise-beans>
    <assembly-descriptor>
      <container-transaction>
	<method>
	  <ejb-name>m05SolicitudReserva_Usuario</ejb-name>
	  <!--method-intf>Remote</method-intf-->
	  <method-name>*</method-name>
	</method>
	<trans-attribute>Required</trans-attribute>
      </container-transaction>
    </assembly-descriptor>
  </ejb-jar>